shishi_asn1_msgtype(3)

NAME
shishi_asn1_msgtype - API function

SYNOPSIS
#include <shishi.h>

Shishi_msgtype shishi_asn1_msgtype(Shishi * handle, Shishi_asn1 node);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 node
    ASN.1 type to get msg type for.

DESCRIPTION
Determine msg-type of ASN.1 type of a packet. Currently this uses the msg-type field instead of the APPLICATION tag, but this may be changed in the future.

RETURN VALUE
Returns msg-type of ASN.1 type, 0 on failure.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.